#include <iostream>
#include <iomanip>
#include <algorithm>
#include <cmath>
using namespace std;

void parsort(double a[], double b[], int n)
{
    pair<double, double> pairt[n];
    for(int i=0;i<n;i++)
    {
        pairt[i].first = a[i];
        pairt[i].second = b[i];
    }
    sort(pairt, pairt+n);
    for(int i=0;i<n;i++)
    {
        a[i] = pairt[i].first;
        b[i] = pairt[i].second;
    }
}

double a[1000000];
double b[1000000];


int main()
{
    int n;
    cin>>n;
    double suma=0;
    cout<<setprecision(16);
    for(int i = 0; i<n ; i++)
    {
        cin>>b[i]>>a[i];
        suma+=b[i];
    }
    parsort(a, b, n);
    double sumax = 0;
    double maxi = 0;
    for(int i = 0; i<n; i++)
    {
        if((suma-sumax)*(a[i]/100)>= maxi) maxi = (suma-sumax)*(a[i]/100);
        sumax+=b[i];
    }
    cout<<maxi;





}